# Uses of Class
org.eclipse.swt.widgets.Dialog

Packages that use Dialog
Package
Description
org.eclipse.rap.rwt.widgets
org.eclipse.swt.widgets

## Uses of Dialog in org.eclipse.rap.rwt.widgets

Methods in org.eclipse.rap.rwt.widgets with parameters of type Dialog
Modifier and Type
Method
Description
`static void`
DialogUtil.`open(Dialog dialog, DialogCallback dialogCallback)`
Deprecated.
Use `Dialog.open( DialogCallback )` instead

## Uses of Dialog in org.eclipse.swt.widgets

Subclasses of Dialog in org.eclipse.swt.widgets
Modifier and Type
Class
Description
`class`
`ColorDialog`
Instances of this class allow the user to select a color from a predefined set of available colors.
`class`
`FileDialog`
Instances of this class allow the user to navigate the file system and select a file name.
`class`
`FontDialog`
Instances of this class allow the user to select a font from all available fonts in the system.
`class`
`MessageBox`
Instances of this class are used to inform or warn the user.